org.eclipse.emf.cdo.ui

## Class OverlayImage

- java.lang.Object
- - org.eclipse.emf.edit.provider.ComposedImage
  - - org.eclipse.emf.cdo.ui.OverlayImage

-     public final class OverlayImage
      extends ComposedImage

  Since:
    4.4
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ComposedImage

      `ComposedImage.Point, ComposedImage.Size`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.edit.provider.ComposedImage

      `images, imageSizes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OverlayImage(java.lang.Object image, java.lang.Object overlayImage, int x, int y)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ComposedImage.Point>` | `getDrawPoints(ComposedImage.Size size)`

    - ### Methods inherited from class org.eclipse.emf.edit.provider.ComposedImage

      `equals, getImages, getSize, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OverlayImage

          public OverlayImage(java.lang.Object image,
                              java.lang.Object overlayImage,
                              int x,
                              int y)

  - ### Method Detail

    - #### getDrawPoints

          public java.util.List<ComposedImage.Point> getDrawPoints(ComposedImage.Size size)

      Overrides:
        `getDrawPoints` in class `ComposedImage`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html